Loading...
Searching...
No Matches
EMaterialTypes.h File Reference

Go to the source code of this file.

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::video
| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum

irr::video::E_MATERIAL_TYPE {
irr::video::EMT_SOLID = 0 , irr::video::EMT_SOLID_2_LAYER , irr::video::EMT_LIGHTMAP , irr::video::EMT_LIGHTMAP_ADD ,
irr::video::EMT_LIGHTMAP_M2 , irr::video::EMT_LIGHTMAP_M4 , irr::video::EMT_LIGHTMAP_LIGHTING , irr::video::EMT_LIGHTMAP_LIGHTING_M2 ,
irr::video::EMT_LIGHTMAP_LIGHTING_M4 , irr::video::EMT_DETAIL_MAP , irr::video::EMT_SPHERE_MAP , irr::video::EMT_REFLECTION_2_LAYER ,
irr::video::EMT_TRANSPARENT_ADD_COLOR , irr::video::EMT_TRANSPARENT_ALPHA_CHANNEL , irr::video::EMT_TRANSPARENT_ALPHA_CHANNEL_REF , irr::video::EMT_TRANSPARENT_VERTEX_ALPHA ,
irr::video::EMT_TRANSPARENT_REFLECTION_2_LAYER , irr::video::EMT_NORMAL_MAP_SOLID , irr::video::EMT_NORMAL_MAP_TRANSPARENT_ADD_COLOR , irr::video::EMT_NORMAL_MAP_TRANSPARENT_VERTEX_ALPHA ,
irr::video::EMT_PARALLAX_MAP_SOLID , irr::video::EMT_PARALLAX_MAP_TRANSPARENT_ADD_COLOR , irr::video::EMT_PARALLAX_MAP_TRANSPARENT_VERTEX_ALPHA , irr::video::EMT_ONETEXTURE_BLEND ,
irr::video::EMT_FORCE_32BIT = 0x7fffffff
}

| Abstracted and easy to use fixed function/programmable pipeline material modes. More...

## Variables

const char *const | irr::video::sBuiltInMaterialTypeNames []
| Array holding the built in material type names.

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0